package com.ruoyi.mall.domain.Vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 综合成绩分析VO
 * @author 萌
 */
public class UserScoreAnalysisVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 年份 */
    private String acceptYear;

    /** 专业名称 */
    private String majorName;

    /** 录取最低分 */
    private BigDecimal acceptLowest;

    /** 计算公式 */
    private Long acceptRuleId;

    /** 我的成绩 */
    private BigDecimal myScore;

    /** 分差 */
    private BigDecimal scoreDifference;

    /** 专业组 */
    private String majorGroup;

    public String getMajorGroup() {
        return majorGroup;
    }

    public void setMajorGroup(String majorGroup) {
        this.majorGroup = majorGroup;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public BigDecimal getMyScore() {
        return myScore;
    }

    public void setMyScore(BigDecimal myScore) {
        this.myScore = myScore;
    }

    public BigDecimal getScoreDifference() {
        return scoreDifference;
    }

    public void setScoreDifference(BigDecimal scoreDifference) {
        this.scoreDifference = scoreDifference;
    }

    @Override
    public String toString() {
        return "UserScoreAnalysisVO{" +
                "acceptYear='" + acceptYear + '\'' +
                ", majorName='" + majorName + '\'' +
                ", acceptLowest=" + acceptLowest +
                ", acceptRuleId=" + acceptRuleId +
                ", myScore=" + myScore +
                ", scoreDifference=" + scoreDifference +
                '}';
    }
}
